### Property

# MalcontentUi RestrictApplicationsDialog:app-filter

since: 0.5.0

#### Declaration

    property app-filter: Malcontent.AppFilter [ read, write, construct-only ]

#### Description [src]

The user’s current app filter, used to set up the dialog.

As app filters are immutable, it is not updated as the dialog is changed. Use `mct_restrict_applications_dialog_build_app_filter()` to build the new app filter.

Type:`MctAppFilter`

Available since: 0.5.0

Getter method | `mct_restrict_applications_dialog_get_app_filter()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes